# bollux - a bash Gemini client

[![Shellcheck Status](https://drone.tildegit.org/api/badges/acdw/bollux/status.svg)](https://drone.tildegit.org/acdw/bollux)

inspired by

* [birch](https://github.com/dylanaraps/birch)
* [castor](https://git.sr.ht/~julienxx/castor)
* [gemini](https://gemini.circumlunar.space/)

# CAPABILITIES

* make requests
* receive files
* use `dd` to show a nice little download status
* use `less` to display text/* files
* link navigation
* man page
* configuration
* browse gopher
* history (basic)

# STILL TO DO

* history (advanced)
* test configuring capabilities
* bookmarks
* mailcap
* generate certificates
* implement TOFU
* handle http, etc links

# DEPENDENCIES

* bash >= 4.0
* iconv
* openssl
* less (with lesskey)
* dd

# INSTALL

## Packages

- [Slackware](https://slackbuilds.org/repository/14.2/network/bollux/)

## From source

```
$ git clone https://tildegit.org/acdw/bollux
$ cd bollux
# make install
```

**NOTE** if you installed an older version, make sure to rm /usr/bin/bollux.  
The new install path is /usr/local/bin.

## Alternative

```
$ curl -fLo bollux https://tildegit.org/acdw/bollux/raw/branch/main/bollux
$ chmod +x bollux
$ ./bollux
```

It's a bash script, so just plop it in your $PATH somewhere.

# LICENSE

MIT

# CONTRIBUTING

Create an [issue](https://tildegit.org/acdw/bollux/issues/new) or
[pull request](https://tildegit.org/acdw/bollux/compare/main...main) and I'll
get back to you posthaste!
